> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /xing/companies

> Get XING company (employer page) profile by alias or page URL

**Price:** 10 credits

**⚠️ Common errors:** 412: Company not found



## OpenAPI

````yaml /openapi/professional-network.json post /api/xing/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/xing/companies:
    post:
      tags:
        - /xing
      summary: /xing/companies
      description: |-
        Get XING company (employer page) profile by alias or page URL

        **Price:** 10 credits

        **⚠️ Common errors:** 412: Company not found
      operationId: __api_xing_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/XingCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/XingCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    XingCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          minLength: 1
        lang:
          $ref: '#/components/schemas/XingLang'
          default: de
      type: object
      required:
        - company
    XingCompany:
      properties:
        '@type':
          type: string
          default: XingCompany
        id:
          anyOf:
            - type: string
            - type: 'null'
        entity_page_id:
          anyOf:
            - type: string
            - type: 'null'
        global_id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          type: string
        name:
          type: string
        url:
          type: string
        slogan:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        focus_type:
          anyOf:
            - type: string
            - type: 'null'
        contract_type:
          anyOf:
            - type: string
            - type: 'null'
        employee_count_min:
          anyOf:
            - type: integer
            - type: 'null'
        employee_count_max:
          anyOf:
            - type: integer
            - type: 'null'
        employee_total:
          anyOf:
            - type: integer
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        founding_year:
          anyOf:
            - type: integer
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        imprint:
          anyOf:
            - type: string
            - type: 'null'
        about_summary:
          anyOf:
            - type: string
            - type: 'null'
        about_text:
          anyOf:
            - type: string
            - type: 'null'
        location_count:
          anyOf:
            - type: integer
            - type: 'null'
        main_location:
          anyOf:
            - $ref: '#/components/schemas/XingCompanyLocation'
            - type: 'null'
        locations:
          items:
            $ref: '#/components/schemas/XingCompanyLocation'
          type: array
          default: []
        related_companies:
          items:
            $ref: '#/components/schemas/XingCompanyCard'
          type: array
          default: []
      type: object
      required:
        - alias
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    XingLang:
      type: string
      enum:
        - de
        - en
    XingCompanyLocation:
      properties:
        '@type':
          type: string
          default: XingCompanyLocation
        id:
          anyOf:
            - type: string
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        address_suffix:
          anyOf:
            - type: string
            - type: 'null'
        postcode:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lng:
          anyOf:
            - type: number
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        fax:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        is_highlighted:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    XingCompanyCard:
      properties:
        '@type':
          type: string
          default: XingCompanyCard
        id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        job_count:
          anyOf:
            - type: integer
            - type: 'null'
        contract_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````